Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.utils.widget
Class ResourceBundleManager

    java.lang.Object
      oracle.ifs.utils.widget.ResourceBundleManager

    public class ResourceBundleManager

extends java.lang.Object

The ResourceBundleManager class provides a simple mechanism for retrieving String resources from a ResourceBundle. It includes a MessageFormat object which can be used to format messages that require language-independent concatenation.

Modified:
  lsaenz 07/13/2000 Created.

Constructor Summary
`ResourceBundleManager(java.lang.String bundleClassName)` Creates a new ResourceBundleManager for the given ResourceBundle class using the default Locale.
`ResourceBundleManager(java.lang.String bundleClassName, java.util.Locale locale)` Creates a new ResourceBundleManager for the given ResourceBundle class using the given Locale.

Method Summary
`java.lang.String` | `getString(java.lang.String name)` Returns the message that maps to the given name in the ResourceBundle.
`java.lang.String` | `getString(java.lang.String name, java.lang.Object[] parameters)` Returns the String that maps to the given name, using this ResourceBundleManager's MessageFormat object to format the message with the given `parameters`.
`void` | `setLocale(java.util.Locale locale)` Sets the Locale that should be used for messages and formatting.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceBundleManager

    public ResourceBundleManager(java.lang.String bundleClassName)

  Creates a new ResourceBundleManager for the given ResourceBundle class using the default Locale.

  Parameters:
    `bundleClassName` - the name of the ResourceBundle class to manage.

### ResourceBundleManager

    public ResourceBundleManager(java.lang.String bundleClassName,
                                 java.util.Locale locale)

  Creates a new ResourceBundleManager for the given ResourceBundle class using the given Locale.

  Parameters:
    `bundleClassName` - the name of the ResourceBundle class to manage.
    `locale` - the Locale to use.

Method Detail

### setLocale

    public void setLocale(java.util.Locale locale)

  Description copied from class: `ResourceBundleManager`
  Sets the Locale that should be used for messages and formatting.

  Parameters:
    `locale` - the Locale to use.
  Throws:
    `MissingResourceException` - if the ResourceBundle for the given Locale could not be found.

### getString

    public java.lang.String getString(java.lang.String name)

  Description copied from class: `ResourceBundleManager`
  Returns the message that maps to the given name in the ResourceBundle.

  Parameters:
    `name` - the name of the message to retrieve.
  Throws:
    `MissingResourceException` - if the message could not be found.

### getString

    public java.lang.String getString(java.lang.String name,
                                      java.lang.Object[] parameters)

  Description copied from class: `ResourceBundleManager`
  Returns the String that maps to the given name, using this ResourceBundleManager's MessageFormat object to format the message with the given `parameters`.

  Parameters:
    `name` - the name of the message to retrieve.
    `parameters` - the list of paramters to use in the message.
  Throws:
    `MissingResourceException` - if the message could not be found.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD